local manager
local effect
local handle
local img

function love.load(args)
	love.window.setMode(1280, 720)

	manager = love.graphics.getEffectManager()
	effect = love.graphics.newEffect("efk/Laser01.efk")
	img = love.graphics.newImage('test.png')
end

function love.keypressed(key, unicode)
    if key == 'space' then
	    effect:play(love.math.random(40) - 20, 0, 0)
    end
end

local tot_dt = 0
function love.update(dt)
	tot_dt = tot_dt + dt
	if tot_dt >= 1 then
		tot_dt = tot_dt - 1
		print("FPS: " .. love.timer.getFPS())
	end
	manager:update(dt)
	if not handle then
		handle = effect:play(0, 0, 0)
	end
end

function love.draw()
	-- Draw some basic images to see how the effekseer images overlap
	love.graphics.draw(img, 400, 200)
	love.graphics.draw(img, 300, 300)
end
